org.apache.ignite.services

## Class ServiceCallContextBuilder

- java.lang.Object
- - org.apache.ignite.services.ServiceCallContextBuilder

    public class ServiceCallContextBuilder
    extends Object

Service call context builder.

### Constructor Summary

Constructors
Constructor and Description
`ServiceCallContextBuilder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ServiceCallContext` `build()`
`ServiceCallContextBuilder` `put(String name, byte[] value)` Put binary attribute.
`ServiceCallContextBuilder` `put(String name, String value)` Put string attribute.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ServiceCallContextBuilder

    public ServiceCallContextBuilder()

### Method Detail

#### put

    public ServiceCallContextBuilder put(String name,
                                         String value)

Put string attribute.

Parameters:
  `name` - Attribute name.
  `value` - Attribute value.
Returns:
  This for chaining.

#### put

    public ServiceCallContextBuilder put(String name,
                                         byte[] value)

Put binary attribute.

Note: it is recommended to pass a copy of the array if the original can be changed later.

Parameters:
  `name` - Attribute name.
  `value` - Attribute value.
Returns:
  This for chaining.

#### build

    public ServiceCallContext build()

Returns:
  Service call context.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023